Subject: Adding Dropbox and updating rclone on wiki?

From: "Dennis Chen" <[email-masked]>
Date: Tue, 07 Jun 2022 22:19:40 -0500

Apologies in advance if this isn't the right place to discuss the wiki.
I've noticed a couple of things on the Alpine wiki:

- https://wiki.alpinelinux.org/wiki/Rclone is out of date, it claims
  that rclone is not in Alpine's package repositories, but this is
  false. Since the primary value in this wiki page was ostensibly the
  install process, I think it could be removed.

I bring up Dropbox next because rclone makes it easy to sync with
Dropbox.

- In https://wiki.alpinelinux.org/wiki/Tutorials_and_Howtos, under the
  section "Desktop Environment", several alternatives for Dropbox are
  listed but not Dropbox itself.

  Additionally, it might be helpful to create a wiki page about Dropbox
  that mentions rclone. The official Dropbox client a) isn't in the
  repos, b) is a major PITA to build from source, and c) also is a PITA
  to set up with Flatpak. (I gave up on b) and c) when I learned of
  rclone.)

---

From: "Dennis Chen" <[email-masked]>
Date: Wed, 08 Jun 2022 14:45:31 -0500

I've written up a wiki article on Dropbox but cannot post it. It says:

> Error: This action has been automatically identified as harmful, and
> therefore disallowed. If you believe your action was constructive,
> please inform an administrator of what you were trying to do. A brief
> description of the abuse rule which your action matched is: Spammers not
> welcome

I also cannot verify my email on the wiki: it won't send the
verification email to my address.

Here's the article, hopefully someone else can post it:

> [https://www.dropbox.com/ Dropbox] is a cloud-based file store
> service.
> 
> = Syncing with rclone =
> 
> The official Dropbox client is fairly difficult to setup on Alpine. If
> all you need is file syncing and you're fine with using a CLI to do it,
> you can use [https://rclone.org/docs/ rclone].
> 
> Run
> <pre>
> # apk add rclone
> </pre>
> to install rclone.
> 
> Then run
> <pre>
> $ rclone config
> </pre>
> and you will be greeted with a series of interactive prompts.
> 
> First you start making a new remote.
> <pre>
> n) New remote
> d) Delete remote
> q) Quit config
> e/n/d/q> n
> </pre>
> 
> Then you need to give this new remote a name; it hardly matters what it
> is, but for this guide we'll just call it "dropbox". 
> <pre>
> name> dropbox
> </pre>
> 
> Then you will be asked what kind of storage you want to use. Look for
> the option that says "Dropbox" (as of the time of writing, it is 12),
> and input that.
> <pre>
> Option Storage.
> Type of storage to configure.
> Choose a number from below, or type in your own value.
> ...
> Storage> 12
> </pre>
> 
> Then you will be asked about "OAuth Client Id" and "OAuth Client
> Secret". Just leave those blank by pressing Enter as rclone instructs.
> You'll be asked if you wanted to edit the advanced config and use auto
> config too. Just press Enter to use the defaults, unless you have a
> reason not to.
> 
> Finally, you will be prompted to allow rclone OAuth access to Dropbox.
> Do this. If all went well, you should get a success message afterwards.
> 
> To sync, run
> <pre>
> $ rclone sync ~/dropbox dropbox:
> </pre>
> As long as this command is running, your local and remote Dropbox
> directories will be synced. If you want, you may set up a daemon to keep
> this persistently running.
> 
> More detailed usage instructions are also available at
> [https://rclone.org/dropbox/ rclone's Dropbox page], and of course, the
> man page for rclone.

---

From: "alice" <[email-masked]>
Date: Thu, 09 Jun 2022 06:57:45 +0200

> verification email to my address.
i forget what the automatic spam rules were.. for me it seemed to work,
but a lot of people had this issue. you could ping someone in
#alpine-linux/oftc on irc. as for the email, it probably went to spam or
something

> Here's the article, hopefully someone else can post it:

Done: https://wiki.alpinelinux.org/wiki/Dropbox